<?php

class Localizacao {
	public $localizacaoID;
	public $mapaQ;
	public $mapa;
	public $googleMap;
	public $texto;
	public $lang;
	
	public function getGoogleMap() {
		return $this->googleMap;
	}
	
	public function setGoogleMap($googleMap) {
		$this->googleMap = $googleMap;
	}
	
	public function getLocalizacaoID() {
		return $this->localizacaoID;
	}
	
	public function setLocalizacaoID($localizacaoID) {
		$this->localizacaoID = $localizacaoID;
	}
	
	public function getMapa() {
		return $this->mapa;
	}
	
	public function setMapa($mapa) {
		$this->mapa = $mapa;
	}
	
	public function getMapaQ() {
		return $this->mapaQ;
	}
	
	public function setMapaQ($mapaQ) {
		$this->mapaQ = $mapaQ;
	}
	
	public function getTexto() {
		return Idiomas::getTexto($this->texto,$this->lang);
	}
	
	public function setTexto($texto) {
		$this->texto = Idiomas::setTexto($this->texto,$this->lang,$texto);
	}
}

?>